// 设置本地存储
let setStorage = (key, value) => {
    sessionStorage.setItem(key, JSON.stringify(value));
}

// 获取本地存储
let getStorage = (key) => {
    return JSON.parse(sessionStorage.getItem(key))
}

// 判断是否是wifi环境
let isWifi = function() {
    try {
        let wifi = true
        let ua = window.navigator.userAgent
        let con = window.navigator.connection
        // 如果是微信
        if (/MicroMessenger/.test(ua)) {
            if (ua.indexOf('WIFI') >= 0) {
                return true;
            } else {
                wifi = false
            }
            // 如果支持navigator.connection
        } else if (con) {
            let network = con.type
            if (network !== 'wifi' && network !== '2' && network !== 'unknown') {
                wifi = false
            }
        }
        return wifi
    } catch (e) {
        return false
    }
}

export {
    setStorage,
    getStorage,
    isWifi
}