import Vue from "vue";
import App from "./App.vue";
import router from "./router";

// 引入 vant 组件
import Vant from 'vant';
import {
    Lazyload
} from 'vant';
import 'vant/lib/index.css';

Vue.use(Vant)
Vue.use(Lazyload, {
    lazyComponent: true,
    loading: require('@/assets/images/not-opened.png'), //加载的图片
    error: 'https://image.360lj.com/nopic.gif', //	错误时的图片	string
});


// 日期选择 demo => https://lx544690189.github.io/vue-mobile-calendar/
// api =>https://www.npmjs.com/package/vue-mobile-calendar
import Calendar from 'vue-mobile-calendar'

Vue.use(Calendar);

// import FastClick from "fastclick";
// FastClick.attach(document.body);

import Vconsole from 'vconsole';

if (process.env.VUE_APP_Name == '测试环境') {
    let vc = new Vconsole();
}

import 'animate.css';

// 图片裁剪插件 文档demo=>  http://github.xyxiao.cn/vue-cropper/example/
import VueCropper from 'vue-cropper'

Vue.use(VueCropper)

import "./assets/css/reset.css";


// 接口js
import $http from './api/api';
Vue.prototype.$http = $http;

// 获取当前定位js
import map from './assets/js/getLocation.js';
Vue.prototype.map = map;

// 视频上传
// import uploader from 'vue-simple-uploader'
// Vue.use(uploader)


// 全局过滤器
import filters from "./assets/js/filters.js";
Object.keys(filters.filters).forEach(key => {
    Vue.filter(key, filters.filters[key])
})


Vue.mixin({
    data() {
        return {
            DisNumber: 30 // 混入虚假报名人数
        }
    },
    methods: {
        // 滚动到顶部
        scrollTTop() {
            // let sTop = document.documentElement.scrollTop || document.body.scrollTop
            let sTop = document.scrollingElement.scrollTop
            if (sTop > 0) {
                window.requestAnimationFrame(this.scrollTTop)
                window.scrollTo(0, sTop - sTop / 8)
            }
        }
    }
})

Vue.config.productionTip = false;
new Vue({
    router,
    render: h => h(App)
}).$mount("#app");