import Vue from "vue";
import Router from "vue-router";

Vue.use(Router);
/** 手术预约路由on */
let surgeryRoutes = [
    {
        path: "/surgery",
        name: "surgery",
        meta: {
            title: "手术预约" //病人
        },
        component: () => import("./views/patient/surgery/surgery.vue")
    },
    {
        path: "/surgeryDetail",
        name: "surgeryDetail",
        meta: {
            title: "手术预约详情" //病人
        },
        component: () => import("./views/patient/surgery/surgeryDetail.vue")
    },
    {
        path: "/surgeryList",
        name: "surgeryList",
        meta: {
            title: "手术预约记录" //病人
        },
        component: () => import("./views/patient/surgery/surgeryList.vue")
    }
];
/** 手术预约路由end */
/** 视频课程 用户端 on */
let courseRoutes = [
    {
        path: "/healthyVideo",
        name: "healthyVideo",
        meta: {
            title: "健康视频首页"
        },
        component: () => import("./views/patient/course/healthyVideo.vue")
    },
    {
        path: "/healthCourse",
        name: "healthCourse",
        meta: {
            title: "健康视频详情"
        },
        component: () => import("./views/patient/course/healthCourse.vue")
    },
    {
        path: "/test",
        name: "test",
        meta: {
            title: "药房" //测试
        },
        component: () => import("./views/test.vue")
    },
    {
        path: "/UploadVideo",
        name: "UploadVideo",
        meta: {
            title: "视频上传"
        },
        component: () => import("./views/doctor/UploadVideo.vue")
    }
];
/** 视频课程 用户端 end */

export default new Router({
    // mode: 'history',
    // base: process.env.BASE_URL,

    routes: [
        {
            path: "/SignUp",
            name: "SignUp",
            meta: {
                title: "医生注册"
            },
            component: () => import("./views/doctor/SignUp.vue")
        },
        {
            path: "*",
            redirect: {
                name: "specialist"
            }
        },
        {
            path: "/medicalHistoryDetail",
            name: "medicalHistoryDetail",
            component: () => import("./views/common/medicalHistoryDetail.vue"),
            meta: {
                title: "病历详情" //通用
            }
        },
        {
            path: "/InAudit",
            name: "InAudit",
            meta: {
                title: "资料验证"
            },
            component: () => import("./views/doctor/InAudit.vue")
        },
        {
            path: "/UpDateIntroduce",
            name: "UpDateIntroduce",
            meta: {
                title: "医生介绍"
            },
            component: () => import("./views/doctor/UpDateIntroduce.vue")
        },
        {
            path: "/alterAddMedicalHistory",
            name: "alterAddMedicalHistory",
            meta: {
                title: "修改病历" //病人  添加修改病历
            },
            component: () => import("./views/patient/PatientUser/alterAddMedicalHistory.vue")
        },
        {
            path: "/UpLoadInfo",
            name: "UpLoadInfo",
            meta: {
                title: "认证信息"
            },
            component: () => import("./views/doctor/UpLoadInfo.vue")
        },
        {
            path: "/Appointments",
            name: "Appointments",
            meta: {
                title: "预约记录"
            },
            component: () => import("./views/doctor/Appointments.vue")
        },
        {
            path: "/DoctorInfo",
            name: "DoctorInfo",
            meta: {
                title: "认证信息"
            },
            component: () => import("./views/doctor/DoctorInfo.vue")
        },
        {
            path: "/DoctorPatientInfo",
            name: "DoctorPatientInfo",
            meta: {
                title: "患者病例"
            },
            component: () => import("./views/doctor/DoctorPatientInfo.vue")
        },
        {
            path: "/reservationDetail",
            name: "reservationDetail",
            meta: {
                title: "预约详情" // 病人
            },
            component: () => import("./views/patient/reservation/reservationDetail.vue")
        },
        {
            path: "/reservationRecord",
            name: "reservationRecord",
            meta: {
                title: "预约记录" // 病人
            },
            component: () => import("./views/patient/reservation/reservationRecord.vue")
        },
        {
            path: "/home",
            name: "home",
            meta: {
                title: "专家1诊" // 病人tab导航页面
            },
            component: () => import("./views/patient/home/home.vue")
        },
        {
            path: "/freeClinicDetail",
            name: "freeClinicDetail",
            meta: {
                title: "坐诊详情"
            },
            component: () => import("./views/patient/home/freeClinicDetail.vue")
        },
        {
            path: "/familyMember",
            name: "familyMember",
            meta: {
                title: "家庭成员" // 病人
            },
            component: () => import("./views/patient/PatientUser/familyMember.vue")
        },
        {
            path: "/addFamilyMember",
            name: "addFamilyMember",
            meta: {
                title: "编辑成员信息" // 病人
            },
            component: () => import("./views/patient/PatientUser/addFamilyMember.vue")
        },
        {
            path: "/specialist",
            name: "specialist",
            meta: {
                title: "专家到家" // 病人  tab导航页面
                // isUseCache: false, // isUseCache为false时才重新刷新获取数据
                // keepAlive: true // 通过此字段判断是否需要缓存当前组件
            },
            component: () => import("./views/patient/reservation/specialist.vue")
        },

        {
            path: "/doctorDetail",
            name: "doctorDetail",
            meta: {
                title: "医生主页" // 病人
            },
            component: () => import("./views/patient/home/doctorDetail.vue")
        },
        {
            path: "/join",
            name: "join",
            meta: {
                title: "预约单" // 病人
            },
            component: () => import("./views/patient/reservation/join.vue")
        },
        {
            path: "/DoctorUser",
            name: "DoctorUser",
            meta: {
                title: "医生首页" // 医生
            },
            component: () => import("./views/doctor/DoctorUser.vue")
        },
        {
            path: "/PatientUser",
            name: "PatientUser",
            meta: {
                title: "用户首页" // 病人
            },
            component: () => import("./views/patient/PatientUser/PatientUser.vue")
        },
        {
            path: "/memberFile",
            name: "memberFile",
            meta: {
                title: "成员档案" // 病人
            },
            component: () => import("./views/patient/PatientUser/memberFile.vue")
        },
        {
            path: "/MapSearch",
            name: "MapSearch",
            meta: {
                title: "地点搜索" // 通用
            },
            component: () => import("./views/common/MapSearch.vue")
        },
        {
            path: "/SwitchTheLogin",
            name: "SwitchTheLogin",
            meta: {
                title: "身份切换" // 通用
            },
            component: () => import("./views/common/SwitchTheLogin.vue")
        },
        {
            path: "/NoFollow",
            name: "NoFollow",
            meta: {
                title: "关注公众号" // 通用
            },
            component: () => import("./views/common/NoFollow.vue")
        },
        {
            path: "/searchExpert",
            name: "searchExpert",
            meta: {
                title: "找专家" // 病人
            },
            component: () => import("./views/patient/reservation/searchExpert.vue")
        },
        {
            path: "/friendHelp",
            name: "friendHelp",
            meta: {
                title: "义诊名额预约" // 病人
            },
            component: () => import("./views/patient/home/friendHelp.vue")
        },
        {
            path: "/HospitalDetail",
            name: "HospitalDetail",
            meta: {
                title: "医院详情" // 病人
            },
            component: () => import("./views/common/HospitalDetail.vue")
        },
        {
            path: "/nearbySpecialist",
            name: "nearbySpecialist",
            meta: {
                title: "专家到家" // 病人
            },
            component: () => import("./views/patient/reservation/nearbySpecialist.vue")
        },
        {
            path: "/chooseCity",
            name: "chooseCity",
            meta: {
                title: "选择城市" // 通用
            },
            component: () => import("./views/common/chooseCity.vue")
        },
        {
            path: "/nextSpecial",
            name: "nextSpecial",
            meta: {
                title: "预约专家下次坐诊" // 病人
            },
            component: () => import("./views/patient/reservation/nextSpecial.vue")
        },
        {
            path: "/uOrderDetails",
            name: "uOrderDetails",
            meta: {
                title: "订单详情" // 病人 拼团  && 确认订单
            },
            component: () => import("./views/patient/union/uOrderDetails.vue")
        },
        {
            path: "/payDone",
            name: "payDone",
            meta: {
                title: "支付完成" // 病人 拼团
            },
            component: () => import("./views/patient/union/payDone.vue")
        },
        {
            path: "/unionDetail",
            name: "unionDetail",
            meta: {
                title: "拼优医详情" // 病人
            },
            component: () => import("./views/patient/union/unionDetail.vue")
        },
        {
            path: "/confirmPay",
            name: "confirmPay",
            meta: {
                title: "确认支付" //支付
            },
            component: () => import("./views/common/confirmPay.vue")
        },
        {
            path: "/allOrder",
            name: "allOrder",
            meta: {
                title: "坐诊订单" // 病人
            },
            component: () => import("./views/patient/order/allOrder.vue")
        },
        {
            path: "/healthInquiry",
            name: "healthInquiry",
            meta: {
                title: "健康资讯" // 病人
            },
            component: () => import("./views/patient/healthArticles/healthInquiry.vue")
        },
        {
            path: "/articlesDetail",
            name: "articlesDetail",
            meta: {
                title: "资讯详情" // 病人
            },
            component: () => import("./views/patient/healthArticles/articlesDetail.vue")
        },
        {
            path: "/MyFollow",
            name: "MyFollow",
            meta: {
                title: "我的关注" // 病人
            },
            component: () => import("./views/patient/PatientUser/MyFollow.vue")
        },
        {
            path: "/MyCollection",
            name: "MyCollection",
            meta: {
                title: "我的收藏" // 病人
            },
            component: () => import("./views/patient/PatientUser/MyCollection.vue")
        },
        {
            path: "/MyPayVideo",
            name: "MyPayVideo",
            meta: {
                title: "我购买的健康视频" // 病人
            },
            component: () => import("./views/patient/PatientUser/MyPayVideo.vue")
        },
        ...surgeryRoutes, //手术预约路由
        ...courseRoutes //视频课程路由
    ]
});
